From 57832124b4c2e3ec193c09d322442f5dd62e06f4 Mon Sep 17 00:00:00 2001
From: Adrian Taylor <adetaylor@chromium.org>
Date: Feb 18 2021 00:11:08 +0000
Subject: [PATCH 2123/2232] Merge fix.


---

diff --git a/syntax/parse.rs b/syntax/parse.rs
index d030bde..8f8075a 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -627,7 +627,6 @@ fn parse_extern_fn(
     let mut throws_tokens = None;
     let ret = parse_return_type(&foreign_fn.sig.output, &mut throws_tokens)?;
     let throws = throws_tokens.is_some();
-    let visibility = visibility_pub(&foreign_fn.vis, &foreign_fn.sig.ident);
     let unsafety = foreign_fn.sig.unsafety;
     let fn_token = foreign_fn.sig.fn_token;
     let inherited_span = unsafety.map_or(fn_token.span, |unsafety| unsafety.span);

